URISupport (ActiveIO 1.0 API)
Keywords: org.activeio.net.URISupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class URISupport

    java.lang.Object
      org.activeio.net.URISupport

public class URISupport
extends java.lang.Object

The URISupport class provides a few static methods that provides a few usefull operations to manipulate URIs.

Version:
  $Revision$

Constructor Summary
`URISupport()`

Method Summary
`static java.net.URI` | `changeFragment(java.net.URI bindAddr, java.lang.String fragment)`
`static java.net.URI` | `changeHost(java.net.URI bindAddr, java.lang.String host)`
`static java.net.URI` | `changePath(java.net.URI bindAddr, java.lang.String path)`
`static java.net.URI` | `changePort(java.net.URI bindAddr, int port)`
`static java.net.URI` | `changeQuery(java.net.URI bindAddr, java.lang.String query)`
`static java.net.URI` | `changeScheme(java.net.URI bindAddr, java.lang.String scheme)`
`static java.net.URI` | `changeUserInfo(java.net.URI bindAddr, java.lang.String userInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URISupport

    public URISupport()

Method Detail

### changePort

    public static java.net.URI changePort(java.net.URI bindAddr,
                                          int port)
                                   throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### changeScheme

    public static java.net.URI changeScheme(java.net.URI bindAddr,
                                            java.lang.String scheme)
                                     throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### changeUserInfo

    public static java.net.URI changeUserInfo(java.net.URI bindAddr,
                                              java.lang.String userInfo)
                                       throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### changeHost

    public static java.net.URI changeHost(java.net.URI bindAddr,
                                          java.lang.String host)
                                   throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### changePath

    public static java.net.URI changePath(java.net.URI bindAddr,
                                          java.lang.String path)
                                   throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### changeQuery

    public static java.net.URI changeQuery(java.net.URI bindAddr,
                                           java.lang.String query)
                                    throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### changeFragment

    public static java.net.URI changeFragment(java.net.URI bindAddr,
                                              java.lang.String fragment)
                                       throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.